- fail:
    msg: "A mock_build.url variable is required"
  when:
    - mock_build is not defined or mock_build.url == ''

- debug:
    msg: "Using: {{ mock_build.url }}"

- name: Install additional repositories
  become: yes
  copy:
    dest: "/etc/yum.repos.d/extra-repos.repo"
    content: |
      [zuul-built]
      name=zuul mock build
      enabled=1
      baseurl={{ mock_build.url }}/repo
      gpgcheck=0

- name: Install the ahead.repo if needed
  become: yes
  uri:
    url: "{{ mock_build.url }}/repo/ahead.repo"
    dest: "/etc/yum.repos.d/"
  register: _result
  until: _result.status == 200
  retries: 5
  delay: 5
  when: zuul.artifacts is defined
